//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <QColor>

#include "post.h"
#include "models/assets.h"
#include "models/currencies.h"

namespace Request {

class UpdateAsset : public Post {
    Q_OBJECT

public:
    UpdateAsset(
        Models::Asset::ID id,
        const QString& title,
        const QString& icon,
        const QColor& color,
        Models::Currency::ID currency,
        const QUrl& baseUrl
    );
};
}
